Subject: WG ACTION: 2 weeks to discuss [LL67] Fix clause which forbids routable to LL communication

From: Erik Guttman <[email-masked]>
Date: Wed, 5 May 2004 01:22:07 +0200

Please post discussion of this issue to the mailing list over the 
next two weeks
ending May 18, 2004.  In order to accept this issued, we will need a strong WG
consensus given that this is very late in the process.

Please see http://www.drizzle.org/~aboba/ZEROCONF/issues.html for a list of
current issues and their status.

[LL67]

Description of Issue:		Fix clause which forbids routable to 
LL communication
Submitter Name:                 Stuart Cheshire
Submitter Email Address:        [email-masked]
Date first submitted:           04 May 04
Reference:
Comment Type ['t'ech|'e'dit]:	t
Prio ['S' Must|1 should|2 may]:	S
Section:			6.2
Rationale/Explanation:
Lengthy Description:

[Stuart]

>    IPv4 Link-Local addresses MUST NOT be forwarded via an application
>    protocol (for example in a URL), to a destination which is not Link-
>    Local, on the same link.  This is discussed further in Section 2.9
>    and 3.

How about:
>    IPv4 Link-Local addresses MUST NOT be forwarded via an application
>    protocol (for example in a URL), to a destination which is not
>    on the same link.  This is discussed further in Section 2.9 and 3.

[Erik]

Your sentence means something entirely different than what is in the
document.  In your text host A with LL address a could send 'a' in an
application protocol to host B with a routable address.  In the current
document, this would not be allowed.  We want proper interaction
between hosts A and B with as few restrictions as possible without
disruptive consequences.  That is the fine line we've had to walk for
the past 5 years.  I personally prefer your wording (and its meaning) to
what the document currently says.  To open this up would require us to
go back to discussion, last calls, etc. however.

[Stuart]

As written, other places in the draft allow routable-to-LL communication,
but this "MUST NOT" prohibits that. A routable device can't send packets
to an LL device unless it knows the LL device's LL address, but how can a
routable device learn the LL device's LL address, if sending an LL
address to a non-LL destination address is prohibited?

[Erik]

This is clearly a technical revision we need to consider.  I agree
that we should make this change.

Requested Change:

Section 6.2, From:

>    IPv4 Link-Local addresses MUST NOT be forwarded via an application
>    protocol (for example in a URL), to a destination which is not Link-
>    Local, on the same link.  This is discussed further in Section 2.9
>    and 3.

To:

>    IPv4 Link-Local addresses MUST NOT be forwarded via an application
>    protocol (for example in a URL), to a destination which is not
>    on the same link.  This is discussed further in Section 2.9 and 3.

---

From: "Philip Nye" <[email-masked]>
Date: Fri, 7 May 2004 12:30:27 -0000

I support the proposed change.

Philip

---

From: Ralph Droms <[email-masked]>
Date: Tue, 11 May 2004 14:47:07 -0400

- Ralph

At 01:22 AM 5/5/2004 +0200, Erik Guttman wrote:
>Please post discussion of this issue to the mailing list over the next two 
>weeks
>Description of Issue:           Fix clause which forbids routable to LL 
>communication

---

From: Aidan Williams <[email-masked]>
Date: Mon, 17 May 2004 12:17:02 +1000

- aidan